Bug 635639 - command not found: pathmunge in /etc/profile.d/krb-*.sh under zsh
command not found: pathmunge in /etc/profile.d/krb-*.sh under zsh
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: krb5 (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-09-20 07:59 EDT by Matthieu Herrb
Modified: 2010-09-30 06:29 EDT (History)
1 user (show)

See Also:
Fixed In Version: krb5-1.7.1-14.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-30 06:29:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthieu Herrb 2010-09-20 07:59:59 EDT
Description of problem:

the krb5-*.sh scripts where changed to use the 'pathmunge' shell function recently (defined in /etc/profile)

Unfortunatly zsh reads /etc/profile.d/* too, but doesn't provide the pathmunge function, so zsh now outputs the following errors on startup:

/etc/profile.d/krb5-devel.sh:1: command not found: pathmunge
/etc/profile.d/krb5-devel.sh:2: command not found: pathmunge
/etc/profile.d/krb5-workstation.sh:1: command not found: pathmunge
/etc/profile.d/krb5-workstation.sh:2: command not found: pathmunge


Version-Release number of selected component (if applicable):

krb5-devel-1.7.1-13.fc12.i686
krb5-workstation-1.7.1-13.fc12.i686

How reproducible:

always

Steps to Reproduce:
1. launch zsh 
2.
3.
  
Actual results:

/etc/profile.d/krb5-devel.sh:1: command not found: pathmunge
/etc/profile.d/krb5-devel.sh:2: command not found: pathmunge
/etc/profile.d/krb5-workstation.sh:1: command not found: pathmunge
/etc/profile.d/krb5-workstation.sh:2: command not found: pathmunge
[root@localhost]~#

Expected results:

[root@localhost]~#

Additional info:
Comment 1 Fedora Update System 2010-09-20 09:13:10 EDT
krb5-1.7.1-14.fc12 has been submitted as an update for Fedora 12.
https://admin.fedoraproject.org/updates/krb5-1.7.1-14.fc12
Comment 2 Fedora Update System 2010-09-21 20:34:15 EDT
krb5-1.7.1-14.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update krb5'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/krb5-1.7.1-14.fc12
Comment 3 Matthieu Herrb 2010-09-22 06:09:55 EDT
updated packages fix the bug for me. Thanks
Comment 4 Fedora Update System 2010-09-30 06:29:42 EDT
krb5-1.7.1-14.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.